### Constructor

# Gimp ColorProfile new_from_file

since: 2.10

#### Declaration [src]

    GimpColorProfile*
    gimp_color_profile_new_from_file (
      GFile* file,
      GError** error
    )

#### Description [src]

This function opens an ICC color profile from `file`.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GimpColorProfile`

The `GimpColorProfile`, or `NULL`. On error, `NULL` is returned and `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.